ResultList (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.programs
Class ResultList

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.ResultList

public class ResultList
extends java.lang.Object

Used by ShowSavedResults to show (show_saved_results), delete (delete_saved_results) & list results (list_saved_results).

Field Summary
`private java.util.Hashtable` | `proganswer`
`private java.lang.String` | `status`
`private java.lang.String` | `statusmsg`

Constructor Summary
`ResultList(JembossParams mysettings)` Holds the list of stored results
`ResultList(JembossParams mysettings, java.lang.String dataset, java.lang.String methodname)`
`ResultList(JembossParams mysettings, java.lang.String dataset, java.lang.String options, java.lang.String methodname)` Manipulate a dataset.

Method Summary
`java.util.Enumeration` | `elements()`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.String` | `getStatus()` The status of the request
`java.lang.String` | `getStatusMsg()` A status message
`java.util.Hashtable` | `hash()`
`java.util.Enumeration` | `keys()`
`void` | `updateRes(java.util.Hashtable newres)` Replace the current results hash

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statusmsg

    private java.lang.String statusmsg

### status

    private java.lang.String status

### proganswer

    private java.util.Hashtable proganswer

Constructor Detail

### ResultList

    public ResultList(JembossParams mysettings)
               throws JembossSoapException

  Holds the list of stored results

Parameters:
  `mysettings` - JembossParams defining server parameters
Throws:
  `JembossSoapException` - If authentication fails

### ResultList

    public ResultList(JembossParams mysettings,
                      java.lang.String dataset,
                      java.lang.String methodname)
               throws JembossSoapException

### ResultList

    public ResultList(JembossParams mysettings,
                      java.lang.String dataset,
                      java.lang.String options,
                      java.lang.String methodname)
               throws JembossSoapException

  Manipulate a dataset.

Parameters:
  `mysettings` - JembossParams defining server parameters
  `dataset` - Which dataset to manipulate
  `options` - A project file to retrieve
  `methodname` - What method to invoke on this dataset

Method Detail

### getStatus

    public java.lang.String getStatus()

  The status of the request

  Returns:
    String 0 for success, anything else for failure

### getStatusMsg

    public java.lang.String getStatusMsg()

  A status message

  Returns:
    A string containing a status message. In the case of an error, contains a description of the error.

### hash

    public java.util.Hashtable hash()

  Returns:
    Hashtable of the results

### elements

    public java.util.Enumeration elements()

  Returns:
    Enumeration of the elements of the results Hashtable

### keys

    public java.util.Enumeration keys()

  Returns:
    Enumeration of the keys of the results Hashtable

### get

    public java.lang.Object get(java.lang.Object key)

### updateRes

    public void updateRes(java.util.Hashtable newres)

  Replace the current results hash

  Parameters:
    `newres` - The new results hash

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD